package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * staff与clerk绑定日志
 * @author fdh
 */
public class TabHaobanStaffClerkBindLog implements Serializable {
    /**
     *
     */
    private Integer logId;

    /**
     *   被操作staff
     *
     */
    private String staffId;

    /**
     *   企业微信id
     *
     */
    private String wxEnterpriseId;

    /**
     *   操作人staffId
     *
     */
    private String optStaffId;

    /**
     *   操作类型 0 绑定 1解绑
     *
     */
    private Integer optType;

    /**
     *   渠道编码 1001=后台管理员绑定 1002=好办客户端绑定 1003=审核绑定  1004=同步绑定 2001=后台管理员解绑 2002=好办客户端解绑  1003=同步解绑
     *
     */
    private Integer channelCode;

    /**
     *   gic enterpriseId
     *
     */
    private String enterpriseId;

    /**
     *   gicClerkid
     *
     */
    private String clerkId;

    /**
     *   clerkcode
     *
     */
    private String clerkCode;

    private String clerkPhone;

    /**
     * 关联id
     */
    private String relationId;

    /**
     *   0 删除 1正常
     *
     */
    private Integer statusFlag;

    /**
     *   创建时间
     *
     */
    private Date createTime;

    /**
     *   更新时间
     *
     */
    private Date updateTime;
    
    private String operName ;
    private String clerkName ;

    
    public String getOperName() {
        return operName;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getClerkPhone() {
        return clerkPhone;
    }

    public void setClerkPhone(String clerkPhone) {
        this.clerkPhone = clerkPhone;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.log_id
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.log_id
     */
    public Integer getLogId() {
        return logId;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.log_id
     *
     * @param logId the value for tab_haoban_staff_clerk_bind_log.log_id
     */
    public void setLogId(Integer logId) {
        this.logId = logId;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.staff_id
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.staff_id
     */
    public String getStaffId() {
        return staffId;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.staff_id
     *
     * @param staffId the value for tab_haoban_staff_clerk_bind_log.staff_id
     */
    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.wx_enterprise_id
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_staff_clerk_bind_log.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.opt_staff_id
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.opt_staff_id
     */
    public String getOptStaffId() {
        return optStaffId;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.opt_staff_id
     *
     * @param optStaffId the value for tab_haoban_staff_clerk_bind_log.opt_staff_id
     */
    public void setOptStaffId(String optStaffId) {
        this.optStaffId = optStaffId;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.opt_type
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.opt_type
     */
    public Integer getOptType() {
        return optType;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.opt_type
     *
     * @param optType the value for tab_haoban_staff_clerk_bind_log.opt_type
     */
    public void setOptType(Integer optType) {
        this.optType = optType;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.channel_code
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.channel_code
     */
    public Integer getChannelCode() {
        return channelCode;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.channel_code
     *
     * @param channelCode the value for tab_haoban_staff_clerk_bind_log.channel_code
     */
    public void setChannelCode(Integer channelCode) {
        this.channelCode = channelCode;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.enterprise_id
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.enterprise_id
     */
    public String getEnterpriseId() {
        return enterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.enterprise_id
     *
     * @param enterpriseId the value for tab_haoban_staff_clerk_bind_log.enterprise_id
     */
    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.clerk_id
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.clerk_id
     */
    public String getClerkId() {
        return clerkId;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.clerk_id
     *
     * @param clerkId the value for tab_haoban_staff_clerk_bind_log.clerk_id
     */
    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.clerk_code
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.clerk_code
     */
    public String getClerkCode() {
        return clerkCode;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.clerk_code
     *
     * @param clerkCode the value for tab_haoban_staff_clerk_bind_log.clerk_code
     */
    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.status_flag
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.status_flag
     *
     * @param statusFlag the value for tab_haoban_staff_clerk_bind_log.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.create_time
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.create_time
     *
     * @param createTime the value for tab_haoban_staff_clerk_bind_log.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_staff_clerk_bind_log.update_time
     *
     * @return the value of tab_haoban_staff_clerk_bind_log.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_staff_clerk_bind_log.update_time
     *
     * @param updateTime the value for tab_haoban_staff_clerk_bind_log.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}